# ================== Platform 平台服务配置 ==================
server:
  port: 8089

spring:
  application:
    name: platform-service

# ================== Auth ==================
auth:
  enabled: true
  gateway-mode: true
  whitelist:
    - /swagger-ui/**
    - /swagger-ui.html
    - /v3/api-docs/**
    - /webjars/**
    - /favicon.ico
    - /error
    - /actuator/health
    - /actuator/info

# ================== SpringDoc ==================
springdoc:
  group-configs:
    - group: 'default'
      display-name: '平台服务 API'
      paths-to-match: '/**'

# ================== Dubbo ==================
dubbo:
  application:
    name: urban-lifeline-platform
    qos-enable: false
  scan:
    base-packages: org.xyzh.platform.service.impl
